Bug 1001422 - Reorder and add information to the externalizer API chapter
Reorder and add information to the externalizer API chapter
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: DR5
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 23:20 EDT by Misha H. Ali
Modified: 2013-11-07 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-07 17:50:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misha H. Ali 2013-08-26 23:20:26 EDT
Add information about advanced externalizers and custom IDs to the externalizer API chapter in the dev guide. Also reorder and rewrite the information for improved flow.
Comment 2 Misha H. Ali 2013-08-26 23:22:26 EDT
Thus far, updated the following topics and am current waiting on QE for them:

6. The Externalizable API
6.1. About Externalizer
6.2. Customize Externalizers
6.3. Using an Advanced Externalizer
6.3.1. Implement the Methods
6.3.2. Link Externalizers with Marshaller Classes
6.3.3. Register the Advanced Externalizer (Declaratively)
6.3.4. Register the Advanced Externalizer (Programmatically)
6.3.5. Register Multiple Externalizers
6.4. Custom Externalizer ID Values
6.4.1. Customize the Externalizer ID (Declaratively)
6.4.2. Customize the Externalizer ID (Programmatically)
Comment 4 Misha H. Ali 2013-09-12 02:22:03 EDT
SME feedback from Tristan applied to the following topics:

* Customize Externalizers
* Using an Advanced Externalizer
* Link Externalizers with Marshaller Classes
* Register the Advanced Externalizer (Declaratively)
* Register the Advanced Externalizer (Programmatically)
* Register Multiple Externalizers
* Custom Externalizer ID Values
* Customize the Externalizer ID (Declaratively)
* Customize the Externalizer ID (Programmatically

One topic has some more complex feedback to resolve this bug.
Comment 5 Misha H. Ali 2013-09-12 21:52:35 EDT
Updated the following topic as well:

* Implement the Methods
Comment 7 Misha H. Ali 2013-11-07 17:50:21 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.